// priority: 0

ServerEvents.recipes(event => {

  //Botany Pots

  //Growing Mulch
  event.recipes.botanypots.crop("strainers:mulch", ["dirt"], { block: "strainers:mulch" }, [Item.of("strainers:mulch").withChance(100).withRolls(1, 2)], 300, 1).id('submerged:botanypots/crop/mulch')

  //Mulch as a Soil
  event.recipes.botanypots.soil("strainers:mulch", { block: "strainers:mulch" }, ["dirt"], -1, 1.1).id('submerged:botanypots/soil/mulch')

  event.remove({ type: "botanypots:crop", input: "#submerged:banned_in_botany_pots" })


  coloredDirts.forEach(dirt => {
    let cleanName = dirt.replace(':', '_');
    event.recipes.botanypots.soil(dirt, { block: dirt }, ["dirt"], -1, 1.1).id(`submerged:botanypots/soil/${cleanName}`);
  })

  event.recipes.botanypots.fertilizer("mysticalagriculture:mystical_fertilizer", 4000, 6000).id('submerged:botanypots/fertilizer/mystical_fertilizer');
  event.recipes.botanypots.fertilizer("mysticalagriculture:fertilized_essence", 300, 500).id('submerged:botanypots/fertilizer/fertilized_essence');

  event.replaceInput({ mod: "botanypots" }, hopper, wooden_hopper)

})